//
//  RecordStoreAnnotation.h
//  BostonCambridgeRecordStores
//
//  Created by Gloria Hedlund on 4/7/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <MapKit/MapKit.h>

// This class is neither model nor view - its kind of like a controller
@interface RecordStoreAnnotation : NSObject <MKAnnotation> {
    CLLocationCoordinate2D _coordinate;
    NSString *_title;
    NSString *_subtitle;
    UIImage *_logo;
    NSURL *_url;
}

@property (nonatomic) CLLocationCoordinate2D coordinate;
@property (nonatomic, copy) NSString *title;
@property (nonatomic, copy) NSString *subtitle;
@property (nonatomic, strong) UIImage *logo;
@property (nonatomic, strong) NSURL *url;

- (id) initWithCoordinate:(CLLocationCoordinate2D)coordinate;

@end
